# Uses of Class
org.sunflow.core.ParameterList

Packages that use ParameterList
Package
Description
org.sunflow.core
org.sunflow.core.camera
org.sunflow.core.light
org.sunflow.core.modifiers
org.sunflow.core.primitive
org.sunflow.core.shader
org.sunflow.core.tesselatable

## Uses of ParameterList in org.sunflow.core

Subclasses of ParameterList in org.sunflow.core
Modifier and Type
Class
Description
`final class`
`Options`
This holds rendering objects as key, value pairs.
Methods in org.sunflow.core with parameters of type ParameterList
Modifier and Type
Method
Description
`boolean`
Camera.`update(ParameterList pl, SunflowAPI api)`
`boolean`
Geometry.`update(ParameterList pl, SunflowAPI api)`
`boolean`
Instance.`update(ParameterList pl, SunflowAPI api)`
`boolean`
Options.`update(ParameterList pl, SunflowAPI api)`
`boolean`
RenderObject.`update(ParameterList pl, SunflowAPI api)`
Update this object given a list of parameters.

## Uses of ParameterList in org.sunflow.core.camera

Methods in org.sunflow.core.camera with parameters of type ParameterList
Modifier and Type
Method
Description
`boolean`
FisheyeLens.`update(ParameterList pl, SunflowAPI api)`
`boolean`
PinholeLens.`update(ParameterList pl, SunflowAPI api)`
`boolean`
SphericalLens.`update(ParameterList pl, SunflowAPI api)`
`boolean`
ThinLens.`update(ParameterList pl, SunflowAPI api)`

## Uses of ParameterList in org.sunflow.core.light

Methods in org.sunflow.core.light with parameters of type ParameterList
Modifier and Type
Method
Description
`boolean`
DirectionalSpotlight.`update(ParameterList pl, SunflowAPI api)`
`boolean`
ImageBasedLight.`update(ParameterList pl, SunflowAPI api)`
`boolean`
PointLight.`update(ParameterList pl, SunflowAPI api)`
`boolean`
SphereLight.`update(ParameterList pl, SunflowAPI api)`
`boolean`
SunSkyLight.`update(ParameterList pl, SunflowAPI api)`
`boolean`
TriangleMeshLight.`update(ParameterList pl, SunflowAPI api)`

## Uses of ParameterList in org.sunflow.core.modifiers

Methods in org.sunflow.core.modifiers with parameters of type ParameterList
Modifier and Type
Method
Description
`boolean`
BumpMappingModifier.`update(ParameterList pl, SunflowAPI api)`
`boolean`
NormalMapModifier.`update(ParameterList pl, SunflowAPI api)`
`boolean`
PerlinModifier.`update(ParameterList pl, SunflowAPI api)`

## Uses of ParameterList in org.sunflow.core.primitive

Methods in org.sunflow.core.primitive with parameters of type ParameterList
Modifier and Type
Method
Description
`boolean`
Background.`update(ParameterList pl, SunflowAPI api)`
`boolean`
BanchoffSurface.`update(ParameterList pl, SunflowAPI api)`
`boolean`
Box.`update(ParameterList pl, SunflowAPI api)`
`boolean`
CornellBox.`update(ParameterList pl, SunflowAPI api)`
`boolean`
CubeGrid.`update(ParameterList pl, SunflowAPI api)`
`boolean`
Cylinder.`update(ParameterList pl, SunflowAPI api)`
`boolean`
Hair.`update(ParameterList pl, SunflowAPI api)`
`boolean`
JuliaFractal.`update(ParameterList pl, SunflowAPI api)`
`boolean`
ParticleSurface.`update(ParameterList pl, SunflowAPI api)`
`boolean`
Plane.`update(ParameterList pl, SunflowAPI api)`
`boolean`
QuadMesh.`update(ParameterList pl, SunflowAPI api)`
`boolean`
Sphere.`update(ParameterList pl, SunflowAPI api)`
`boolean`
SphereFlake.`update(ParameterList pl, SunflowAPI api)`
`boolean`
Torus.`update(ParameterList pl, SunflowAPI api)`
`boolean`
TriangleMesh.`update(ParameterList pl, SunflowAPI api)`

## Uses of ParameterList in org.sunflow.core.shader

Methods in org.sunflow.core.shader with parameters of type ParameterList
Modifier and Type
Method
Description
`boolean`
AmbientOcclusionShader.`update(ParameterList pl, SunflowAPI api)`
`boolean`
AnisotropicWardShader.`update(ParameterList pl, SunflowAPI api)`
`boolean`
ConstantShader.`update(ParameterList pl, SunflowAPI api)`
`boolean`
DiffuseShader.`update(ParameterList pl, SunflowAPI api)`
`boolean`
GlassShader.`update(ParameterList pl, SunflowAPI api)`
`boolean`
IDShader.`update(ParameterList pl, SunflowAPI api)`
`boolean`
MirrorShader.`update(ParameterList pl, SunflowAPI api)`
`boolean`
NormalShader.`update(ParameterList pl, SunflowAPI api)`
`boolean`
PhongShader.`update(ParameterList pl, SunflowAPI api)`
`boolean`
PrimIDShader.`update(ParameterList pl, SunflowAPI api)`
`boolean`
QuickGrayShader.`update(ParameterList pl, SunflowAPI api)`
`boolean`
ShinyDiffuseShader.`update(ParameterList pl, SunflowAPI api)`
`boolean`
SimpleShader.`update(ParameterList pl, SunflowAPI api)`
`boolean`
TexturedAmbientOcclusionShader.`update(ParameterList pl, SunflowAPI api)`
`boolean`
TexturedDiffuseShader.`update(ParameterList pl, SunflowAPI api)`
`boolean`
TexturedPhongShader.`update(ParameterList pl, SunflowAPI api)`
`boolean`
TexturedShinyDiffuseShader.`update(ParameterList pl, SunflowAPI api)`
`boolean`
TexturedWardShader.`update(ParameterList pl, SunflowAPI api)`
`boolean`
UberShader.`update(ParameterList pl, SunflowAPI api)`
`boolean`
UVShader.`update(ParameterList pl, SunflowAPI api)`
`boolean`
ViewCausticsShader.`update(ParameterList pl, SunflowAPI api)`
`boolean`
ViewGlobalPhotonsShader.`update(ParameterList pl, SunflowAPI api)`
`boolean`
ViewIrradianceShader.`update(ParameterList pl, SunflowAPI api)`
`boolean`
WireframeShader.`update(ParameterList pl, SunflowAPI api)`

## Uses of ParameterList in org.sunflow.core.tesselatable

Methods in org.sunflow.core.tesselatable with parameters of type ParameterList
Modifier and Type
Method
Description
`boolean`
BezierMesh.`update(ParameterList pl, SunflowAPI api)`
`boolean`
FileMesh.`update(ParameterList pl, SunflowAPI api)`